(function(){
    var imgIndex = 3; //当前显示的图的索引
    var imgLen = $(".section2 .big-pic-list li").length;
    var colorArr = ["rgb(86, 255, 254)","rgb(255, 86, 164)","rgb(255, 231, 97)"]; //弹幕颜色组合
    var mouthIndex = 0; //当前显示的月份的索引

    var V = {
        init : function(){
            var danmuBtn = $(".form-wrap .btn-danmu");
            $('#fullpage').fullpage({
                navigation: true,
                anchors:['p1', 'p2', 'p3', 'p4']
            });

            V.showImg();
            V.initDanmu();
        },
        initDanmu : function(){
            $("#danmu").danmu({
                left:0,
                top:0,
                height:"100%",
                width:"100%",
                speed:16000,
                danmuLoop : true,
                opacity:1,
                font_size_small:16,
                font_size_big:24,
                top_botton_danmu_time:6000,
            });
            V.getDanmuData();//  从后端获取弹幕并添加
            $('#danmu').danmu('danmuStart');

        },
        getDanmuData : function(){ 
            var url = "http://danmu.v.duowan.com/index.php?r=default/view&clip=0&vu=3511576&vid=3511576";

            var danmuList = [];

            $.ajax({
                url : url,
                dataType : "jsonp",
                type : "GET"
            }).done(function(ret){
                for(var i=0; i<ret.length; i++){
                    var color = colorArr[Math.round(Math.random()*2)];
                    var position = 0;
                    var time = Math.round(Math.random()*2000)+1;
                    var size = Math.round(Math.random()*2)+1;

                    var danmu = {
                        text : ret[i].text ,
                        color : color,
                        size : size,
                        position : position,
                        time : time
                    }

                    danmuList.push(danmu);
                }

                console.log(danmuList);
                $("#danmu").danmu("addDanmu",danmuList);
            });
        },
        sendDanmu : function(text){ 
            if(!text){
                return;
            }
            var url = "http://danmu.v.duowan.com/index.php?r=default/submit&color=13421772&mode=0&deathTime=274&vid=3511576&contents="+text+"&size=22&vu=3511576&playTime=1";
            
            var color = "rgb(180,86,255)";
            var position = 1;
            var time = $('#danmu').data("nowTime")+1;
            var size = Math.round(Math.random()*2)+1;

            var newd ={
                "text": text, 
                "color": color, 
                "size": size, 
                "position": position, 
                "time": time
            };

            $('#danmu').danmu("addDanmu", newd);
            $.ajax({
                url : url,
                dataType : "jsonp",
                type : "GET"
            })
        },
        showImg : function(){
            if(imgIndex == imgLen){
                imgIndex = 0;
            }else if(imgIndex < 0 ){
                imgIndex = imgLen-1;
            }

            $(".section2 .big-pic-list li").eq(imgIndex).addClass("active").siblings().removeClass("active");
            $(".section2 .small-pic-list li").eq(imgIndex).addClass("active").siblings().removeClass("active");

            V.initSmallImgList();
        },
        initSmallImgList : function(){
            var slist = $(".section2 .small-pic-list");
            var left = -210 * imgIndex+480;
            var totalWidth = 1300;
            slist.css({
                left : left
            });
        },
        showMouth : function(){
            $(".calendar-wrap .calendar-list>li").eq(mouthIndex).show().siblings().hide();
            $(".section3 .btn-prev").show();
            $(".section3 .btn-next").show();
            if(mouthIndex <= 0 ){
                 mouthIndex == 0;
                 $(".section3 .btn-prev").hide();
            }else if(mouthIndex >= 11){
                mouthIndex == 11;
                $(".section3 .btn-next").hide();
            }
        },
        bookPage : function(page){
            var len = $(".section4 .book-details li").length;

            $(".section4 .book-details .btn-prev").show();
            $(".section4 .book-details .btn-next").show();

            if(page <=1 ){
                $(".section4 .book-details .btn-prev").hide();
            }else if(page >= len-2){
                $(".section4 .book-details .btn-next").hide();
            }

            $(".section4 .book-details li").hide();

            if(page%2 == 0){
                $(".section4 .book-details li").eq(page).show();
                $(".section4 .book-details li").eq(page+1).show();
            }else{
                $(".section4 .book-details li").eq(page-1).show();
                $(".section4 .book-details li").eq(page).show();
            }
        },
        shareControl : function(shareType){
			var strUrl = "";
            var share_title = "2016年度游戏大事件回顾专题";
            var share_desc = "#2016游戏大事件#在过去的这一年中，@多玩游戏网为大家带来了许许多多游戏资讯，2016年中你心目中最印象深刻的游戏大事件是啥？";

            switch(shareType){
                case "weibo":
                    strUrl = "http://service.weibo.com/share/share.php?url="+ location.href +"&appkey=1969684727&title="+share_title+"&ralateUid=&language=zh_cn";
                    window.open(strUrl,"_blank");
                    break;
                case "qq-zone":
                    strUrl = "http://sns.qzone.qq.com/cgi-bin/qzshare/cgi_qzshare_onekey?url="+ location.href +"&desc="+ share_desc +"&title="+share_title;
                    window.open(strUrl,"_blank");
                    break;
                default:
                    break;
            }
        }
    }

    var C = {
        init : function(){
            /**分享 */
            $(".zt-nav").on("click",".share-wrap li",function(){
                V.shareControl($(this).attr("data-type"));
            });

            /** 弹幕开关 */
            $(".form-wrap").on("click",".btn-danmu",function(){
                var _ts = $(this);
                var inputObj = $(".form-wrap input");

                if(_ts.hasClass("active")){
                    _ts.removeClass("active");
                    inputObj.attr("placeholder","请开启弹幕吧！").attr("disabled","disabled").val("");
                    $('#danmu').danmu('danmuStop');
                    $(".danmuarea").hide();
                }else{
                    _ts.addClass("active");
                    inputObj.attr("placeholder","在此输入弹幕").removeAttr("disabled");
                    $('#danmu').danmu('danmuStart');
                    $(".danmuarea").show();
                }
            });


            /**发送弹幕 */
            $(".form-wrap").on("click",".btn-send",function(){
                var cont = $(".form-wrap input").val();

                if($(".btn-danmu").hasClass("active")){
                    if(!dwUDBProxy.isLogin()){
                    
                        dwUDBProxy.login(function(){
                            V.sendDanmu(cont);
                            $(".form-wrap input").val("");
                        });
                    }else{
                        V.sendDanmu(cont);
                        $(".form-wrap input").val("");
                    }
                }
            });

            /**enter键 */ 
            $(document).keypress(function(e) {
                if (e.which == 13){
                    var cont = $(".form-wrap input").val();

                    if(!dwUDBProxy.isLogin()){
                        
                        dwUDBProxy.login(function(){
                            V.sendDanmu(cont);
                            $(".form-wrap input").val("");
                        });
                    }else{
                        V.sendDanmu(cont);
                        $(".form-wrap input").val("");
                    }
                }
            });

            /**第二屏第一版 */
            $(".section2").on("mouseenter",".section2-init .box-fl",function(){
                $(this).addClass("active");
            });
            $(".section2").on("mouseleave",".section2-init .box-fl",function(){
                $(this).removeClass("active");
            });
            $(".section2").on("mouseenter",".section2-init .box-fr",function(){
                $(this).addClass("active");
            });
            $(".section2").on("mouseleave",".section2-init .box-fr",function(){
                $(this).removeClass("active");
            });

            /**第二屏第二版 */
            $(".section2").on("click",".pic",function(){
                $(".section2 .section2-init").fadeOut();
                $(".section2 .section2-pic").fadeIn();
            });

            $(".section2").on("click",".btn-back",function(){
                $(".section2 .section2-init").fadeIn();
                $(".section2 .section2-pic").fadeOut();
            });

            $(".section2").on("click",".small-pic-list li",function(){
                imgIndex = $(this).index();
                V.showImg();
            });

            $(".section2").on("click",".btn-prev",function(){
                --imgIndex;
                V.showImg();
            });

            $(".section2").on("click",".btn-next",function(){
                ++imgIndex;
                V.showImg();
            });

            /**第三屏 */
            $(".section3").on("click", ".circle-item", function() {
                mouthIndex = $(this).index();
                $(this).addClass("zoomout");

                setTimeout(function() {
                    V.showMouth(mouthIndex);
                    $(".calendar-wrap").fadeIn();
                }, 300);
            });

            $(".section3").on("click", ".btn-back", function() {
                $(".section3 .circle-item").removeClass("zoomout");
                $(".calendar-wrap").fadeOut();
            });

            $(".section3").on("click", ".btn-prev", function() {
                --mouthIndex;
                V.showMouth(mouthIndex);
            });

            $(".section3").on("click", ".btn-next", function() {
                ++mouthIndex;
                V.showMouth(mouthIndex);
            });

            /**第四屏 */
            var pageIndex=0;
            $(".section4").on("click", ".book-catalog li", function() {
                pageIndex = $(this).attr("data-index")-1;

                $(".section4 .book-catalog").fadeOut();
                $(".section4 .book-details").fadeIn();
                V.bookPage(pageIndex);
            });

            //上一页
            $(".section4").on("click", ".btn-prev", function() {
                pageIndex = pageIndex - 2;
                V.bookPage(pageIndex);
            });

            //下一页
            $(".section4").on("click", ".btn-next", function() {
                pageIndex = pageIndex + 2;
                V.bookPage(pageIndex);
            });

            $(".section4").on("click", ".btn-back", function() {
                $(".section4 .book-catalog").fadeIn();
                $(".section4 .book-details").fadeOut();
            });
        }
    }


    C.init();
    V.init();
})();